package com.supervision.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.manage.pojo.vo.PhysicalToolVO;
import com.supervision.model.ConfigPhysicalTool;
import com.supervision.vo.ask.ConfigPhysicalToolResVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface PhysicalToolManageService {
    List<ConfigPhysicalToolResVO> queryPhysicalToolList();

    IPage<ConfigPhysicalTool> queryConfigPhysicalToolPage(String toolName, String type, Integer requireLocation, Integer pageNum, Integer pageSize);

    PhysicalToolVO queryConfigPhysicalToolDetail(String id);

    void saveConfigPhysicalTool(PhysicalToolVO physicalToolVO);

    void modifyConfigPhysicalTool(PhysicalToolVO physicalToolVO);

    void deleteConfigPhysicalTool(String id);

}
