package com.supervision.vo.manage;

import com.supervision.model.Disease;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class DiseaseResVo extends Disease {

    private List<String> containDiseaseNames;

    /**
     * 是否被病例使用 true：使用 false：未使用
     */
    private boolean isUsedMedicalRec;
}
