package com.supervision.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.model.ConfigAncillaryItem;
import com.supervision.vo.ask.AncillaryItemReqVo;
import com.supervision.vo.ask.ConfigAncillaryItemResVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface AncillaryItemManageService {

    List<ConfigAncillaryItemResVO> queryAncillaryItemList(AncillaryItemReqVo ancillaryItemReqVo);

    IPage<ConfigAncillaryItem> queryAncillaryPage(String name, String type, Integer pageNum, Integer pageSize);

    void saveAncillaryItem(ConfigAncillaryItem configAncillaryItem);

    void modifyAncillaryItem(ConfigAncillaryItem configAncillaryItem);

    void deleteAncillaryItem(String id);
}
