package com.supervision.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.model.ConfigDrug;

public interface DrugManageService {
    ConfigDrug saveDrug(ConfigDrug configDrug);

    /**
     * 删除药物信息
     * @param id 药物id
     * @return true：删除成功 false：删除失败(药物信息不存在)
     */
    boolean deleteDrugById(String id);

    /**
     * 修改药物信息
     * @param configDrug 药物信息
     * @return true:修改成功 false:修改失败(药物信息不存在)
     */
    boolean updateDrug(ConfigDrug configDrug);

    IPage<ConfigDrug> queryPageList(Integer pageNum, Integer pageSize, String drugName);
}
