package com.supervision.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.model.Disease;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import com.supervision.vo.manage.DiseaseReqVo;
import com.supervision.vo.manage.DiseaseResVo;
import org.apache.ibatis.annotations.Param;

/**
* @author flevance
* @description 针对表【vp_disease(疾病名称)】的数据库操作Mapper
* @createDate 2023-10-20 17:19:21
* @Entity com.supervision.model.Disease
*/
public interface DiseaseMapper extends BaseMapper<Disease> {

    IPage<DiseaseResVo> queryPageList(IPage<AskQuestionLibraryResVo> page,@Param("diseaseReqVo") DiseaseReqVo diseaseReqVo);
}




