package com.supervision.vo.manage;

import com.supervision.model.ConfigPhysicalLocation;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class PhysicalLocationNode extends ConfigPhysicalLocation{

    private List<PhysicalLocationNode> child;

    @ApiModelProperty("是否被选中,1已被选中")
    private Integer choose = 0;

}
